## ipcpipelinesrc ipcpipelinesrc |

## Properties

guint64 | ack-time | Read / Write
gint | fdin | Read / Write
gint | fdout | Read / Write
guint | read-chunk-size | Read / Write

## Signals

void | disconnect | Action
gboolean | forward-message | Action

## Types and Values

struct | GstIpcPipelineSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstIpcPipelineSrc

## Description

Communicates with an ipcpipelinesink element in another process via a socket.

The ipcpipelinesrc element allows 2-way communication with an ipcpipelinesink element on another process/pipeline. It is meant to run inside an interslavepipeline and when paired with an ipcpipelinesink, it will slave its whole parent pipeline to the "master" one, which contains the ipcpipelinesink.

For more details about this mechanism and its uses, see the documentation of the ipcpipelinesink element.

## Synopsis

### Element Information

plugin | ipcpipeline
author | Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
class | Source

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstIpcPipelineSrc

    struct GstIpcPipelineSrc;

Opaque GstIpcPipelineSrc data structure.

## Property Details

### The `“ack-time”` property

      “ack-time”                 guint64

Maximum time to wait for a response to a message.

Flags: Read / Write

Default value: 10000000

### The `“fdin”` property

      “fdin”                     gint

File descriptor to read data from.

Flags: Read / Write

Allowed values: [G_MAXULONG,65535]

Default value: -1

### The `“fdout”` property

      “fdout”                    gint

File descriptor to write data through.

Flags: Read / Write

Allowed values: [G_MAXULONG,65535]

Default value: -1

### The `“read-chunk-size”` property

      “read-chunk-size”          guint

Read chunk size.

Flags: Read / Write

Allowed values: [1,16777216]

Default value: 65536

## Signal Details

### The `“disconnect”` signal

    void
    user_function (GstIpcPipelineSrc *gstipcpipelinesrc,
                   gpointer           user_data)

Flags: Action

### The `“forward-message”` signal

    gboolean
    user_function (GstIpcPipelineSrc *gstipcpipelinesrc,
                   GstMessage        *arg1,
                   gpointer           user_data)

Flags: Action

## See Also

GstIpcPipelineSink, GstIpcSlavePipeline